Cyan Web API - Version 1


GET api/integrations/{integrationId}

            Gets a single Integration.
            

Request Information

Parameters

NameDescriptionAdditional information
integrationId
The integrationId to locate.

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "integrationId": "cc26c61e-5a21-4e75-bfe7-5127b3b27073",
  "tenantId": "7d629f47-a343-4db9-9404-03db49b3e6c9",
  "applicationId": "2efd1c12-c2f8-4578-9869-1c5d0a8ec08a",
  "integrationTypeId": "f570180d-bd4d-4e56-a271-0236c8f19578",
  "integrationTypeLookupKey": "sample string 5",
  "name": "sample string 6",
  "description": "sample string 7",
  "createdDateUtc": "2026-11-13T23:59:45.5987199+00:00",
  "updatedDateUtc": "2026-11-13T23:59:45.5987199+00:00"
}

application/xml, text/xml

Sample:
<IntegrationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-11-13T23:59:45.5987199+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-11-13T23:59:45.5987199+00:00</UpdatedDateUtc>
  <ApplicationId>2efd1c12-c2f8-4578-9869-1c5d0a8ec08a</ApplicationId>
  <Description>sample string 7</Description>
  <IntegrationId>cc26c61e-5a21-4e75-bfe7-5127b3b27073</IntegrationId>
  <IntegrationTypeId>f570180d-bd4d-4e56-a271-0236c8f19578</IntegrationTypeId>
  <IntegrationTypeLookupKey>sample string 5</IntegrationTypeLookupKey>
  <Name>sample string 6</Name>
  <TenantId>7d629f47-a343-4db9-9404-03db49b3e6c9</TenantId>
</IntegrationRepresentation>